Skip to Content
APIsExchange Data

Exchange Data

Get exchange data returns information about a crypto exchange.

Get Exchange Data

GEThttps://api.adesic.com/v2/cex/{exchange}

Returns an object with properties about the exchange.

Path Parameters

NameTypeDescription
exchange*stringUnique exchange identifier used by Adesic.

Query Parameters

NameTypeDescription
apiKey*stringYour Adesic API Key
response.json
{ "name": "Coinbase Pro", "id": "coinbasepro", "countries": [ "US" ], "hasTrades": true, "hasAggregates": true, "aggregateTimeframes": { "1m": 60, "5m": 300, "15m": 900, "1h": 3600, "6h": 21600, "1d": 86400 }, "url": "https://pro.coinbase.com/", "fees": [ "https://docs.pro.coinbase.com/#fees", "https://support.pro.coinbase.com/customer/en/portal/articles/2945310-fees" ], "docs": "https://docs.pro.coinbase.com", "logo": "https://user-images.githubusercontent.com/1294454/41764625-63b7ffde-760a-11e8-996d-a6328fa9347a.jpg" }

Copy & Paste Code

cURL
curl -H "api-key: API KEY" https://api.adesic.com/v2/cex/coinbasepro

Response Object

Example URL: https://api.adesic.com/v2/cex/coinbasepro 

response.json
{ "name": "Coinbase Pro", "id": "coinbasepro", "countries": [ "US" ], "hasTrades": true, "hasAggregates": true, "aggregateTimeframes": { "1m": 60, "5m": 300, "15m": 900, "1h": 3600, "6h": 21600, "1d": 86400 }, "url": "https://pro.coinbase.com/", "fees": [ "https://docs.pro.coinbase.com/#fees", "https://support.pro.coinbase.com/customer/en/portal/articles/2945310-fees" ], "docs": "https://docs.pro.coinbase.com", "logo": "https://user-images.githubusercontent.com/1294454/41764625-63b7ffde-760a-11e8-996d-a6328fa9347a.jpg" }

Response Attributes

Attribute NameData TypeDescription
namestringThe official name of the exchange.
idstringUnique identifier used by Adesic for the exchange.
countriesobjectThe countries abbreviations the exchange is located in.
hasTradesbooleanCan query market trades.
hasAggregatesbooleanCan query market candle aggregates. (1m, 5m, 15m, 1h, 6h, 1d)
aggregateTimeframesobjectTimeframes supported for market candle aggregates. (Spot, Derivatives, Dex)
urlstringExchange’s official website URL.
feesobject || stringThe URL for Exchange Fee Structure.
docsstringThe URL for the Exchange Documentation.
logostringThe URL to the Exchange Logos.

© Adesic LLC. All Rights Reserved